javax.faces.component.behavior

## Class ClientBehaviorContext

- java.lang.Object
- - javax.faces.component.behavior.ClientBehaviorContext

-     public abstract class ClientBehaviorContext
      extends Object

  ClientBehaviorContext provides context information that may be useful to `ClientBehavior.getScript(javax.faces.component.behavior.ClientBehaviorContext)` implementations.

  Since:
    2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientBehaviorContext.Parameter` Parameter instances represent name/value pairs that "submitting" ClientBehavior implementations should include when posting back into the Faces lifecycle.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientBehaviorContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientBehaviorContext` | `createClientBehaviorContext(FacesContext context, UIComponent component, String eventName, String sourceId, Collection<ClientBehaviorContext.Parameter> parameters)` Creates a ClientBehaviorContext instance.
    `abstract UIComponent` | `getComponent()` Returns the `UIComponent` that is requesting the `ClientBehavior` script.
    `abstract String` | `getEventName()` Returns the name of the behavior event for which the ClientBehavior script is being requested.
    `abstract FacesContext` | `getFacesContext()` Returns the `FacesContext` for the current request.
    `abstract Collection<ClientBehaviorContext.Parameter>` | `getParameters()` Returns parameters that "submitting" `ClientBehavior` implementations should include when posting back data into the Faces lifecycle.
    `abstract String` | `getSourceId()` Returns an id for use as the `ClientBehavior` source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientBehaviorContext

          public ClientBehaviorContext()

  - ### Method Detail

    - #### createClientBehaviorContext

          public static ClientBehaviorContext createClientBehaviorContext(FacesContext context,
                                                          UIComponent component,
                                                          String eventName,
                                                          String sourceId,
                                                          Collection<ClientBehaviorContext.Parameter> parameters)

      Creates a ClientBehaviorContext instance.

      Parameters:
        `context` - the `FacesContext` for the current request.
        `component` - the component instance to which the `ClientBehavior` is attached.
        `eventName` - the name of the behavior event to which the `ClientBehavior` is attached.
        `sourceId` - the id to use as the ClientBehavior's "source".
        `parameters` - the collection of parameters for submitting ClientBehaviors to include in the request.
      Returns:
        a `ClientBehaviorContext` instance configured with the provided values.
      Throws:
        `NullPointerException` - if `context`, `component` or `eventName` is `null`
      Since:
        2.0

    - #### getFacesContext

          public abstract FacesContext getFacesContext()

      Returns the `FacesContext` for the current request.

      Since:
        2.0

    - #### getComponent

          public abstract UIComponent getComponent()

      Returns the `UIComponent` that is requesting the `ClientBehavior` script.

      Since:
        2.0

    - #### getEventName

          public abstract String getEventName()

      Returns the name of the behavior event for which the ClientBehavior script is being requested.

      Since:
        2.0

    - #### getSourceId

          public abstract String getSourceId()

      Returns an id for use as the `ClientBehavior` source. ClientBehavior implementations that submit back to the Faces lifecycle are required to identify which component triggered the ClientBehavior-initiated request via the `javax.faces.source` request parameter. In most cases, th source id can be trivially derived from the element to which the behavior's client-side script is attached - ie. the source id is typically the id of this element. However, in components which produce more complex content, the behavior script may not be able to determine the correct id to use for the javax.faces.source value. The `getSourceId()` method allows the component to pass this information into the `ClientBehavior.getScript(javax.faces.component.behavior.ClientBehaviorContext)` implementation.

      Returns:
        the id for the behavior's script to use as the "source", or null if the Behavior's script can identify the source from the DOM.
      Since:
        2.0

    - #### getParameters

          public abstract Collection<ClientBehaviorContext.Parameter> getParameters()

      Returns parameters that "submitting" `ClientBehavior` implementations should include when posting back data into the Faces lifecycle. If no parameters are specified, this method returns an empty (non-null) collection.

      Since:
        2.0

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.